require 'webmock/rspec'

RSpec.configure do |config|
  config.expect_with :rspec do |expectations|
    expectations.include_chain_clauses_in_custom_matcher_descriptions = true
  end

  config.mock_with :rspec do |mocks|
    mocks.verify_partial_doubles = true
  end

  config.before(:each) do
    stub_request(:get, 'https://api.coursera.org/api/catalog.v1/courses')
      .to_return(body: '{"elements":[{"id":1,"shortName":"Test","name":"Test"}]}')

    stub_request(:get, 'https://api.coursera.org/api/catalog.v1/courses?id=2')
      .to_return(body: '{"elements":[{"id":2,"shortName":"Test","name":"Test"}]}')

    stub_request(:get, 'https://api.coursera.org/api/catalog.v1/courses?id=1,2')
      .to_return(body: '{"elements":[{"id":3,"shortName":"Test","name":"Test"}]}')
  end
end
